import { CreateCustomAttributePayload, CustomAttributeGetAllParams, CustomAttributeResponse, FeedbackResponse, UpdateCustomAttributePayload } from '@bringg/types';
import Entity from '../../Core/Entity';
import type Session from '../../Services/Identity/Session';
export default class CustomAttributesEntity extends Entity<CustomAttributeResponse> {
    constructor(session: Session);
    getAllCustomAttributes(params?: CustomAttributeGetAllParams): Promise<CustomAttributeResponse[]>;
    createCustomAttribute(payload: CreateCustomAttributePayload): Promise<CustomAttributeResponse>;
    updateCustomAttribute(payload?: UpdateCustomAttributePayload): Promise<CustomAttributeResponse>;
    deleteCustomAttribute(id: number): Promise<FeedbackResponse>;
}
